#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityLuckyBagCFGData
{
	//编号
	int mID;
	//购买次数
	int mCount;
	//道具ID
	int mItemId;
	//道具数量
	int mItemNumber;
	//礼包id
	int mRechangId;
};

class M_ActivityLuckyBagCFG
{
public:
private:
	static std::auto_ptr<M_ActivityLuckyBagCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityLuckyBagCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityLuckyBagCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityLuckyBagCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityLuckyBagCFGData> mMapData;
};
